Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4182)
+++ palm/trunk/SOURCE/Makefile	(revision 4227)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# Add palm_date_time_mod, remove date_and_time_mod
+#
+# 4223 2019-09-10 09:20:47Z gronemeier
 # Corrected "Former revisions" section
 # 
@@ -138,5 +141,4 @@
 	data_output_spectra.f90 \
 	data_output_tseries.f90 \
-	date_and_time_mod.f90 \
 	diagnostic_output_quantities_mod.f90 \
 	diffusion_s.f90 \
@@ -187,4 +189,5 @@
 	outflow_turbulence.f90 \
 	palm.f90 \
+	palm_date_time_mod.f90 \
 	parin.f90 \
 	plant_canopy_model_mod.f90 \
@@ -324,8 +327,8 @@
 biometeorology_mod.o: \
 	basic_constants_and_equations_mod.o \
-	date_and_time_mod.o \
-	modules.o \
-	mod_kinds.o \
-	netcdf_data_input_mod.o \
+	modules.o \
+	mod_kinds.o \
+	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o
 boundary_conds.o: \
@@ -381,8 +384,8 @@
 	chem_gasphase_mod.o \
 	chem_modules.o \
-	date_and_time_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
+	mod_kinds.o \
+	modules.o \
+	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	surface_mod.o
 chemistry_model_mod.o: \
@@ -392,9 +395,9 @@
 	chem_modules.o \
 	chem_photolysis_mod.o \
-	date_and_time_mod.o \
 	diffusion_s.o \
 	mod_kinds.o \
 	modules.o \
 	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o \
 	surface_mod.o
@@ -411,4 +414,5 @@
 	mod_kinds.o \
 	modules.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o
 close_file.o: \
@@ -503,7 +507,4 @@
 	radiation_model_mod.o \
 	urban_surface_mod.o
-date_and_time_mod.o: \
-	mod_kinds.o \
-	modules.o
 diagnostic_output_quantities_mod.o: \
 	mod_kinds.o \
@@ -578,5 +579,4 @@
 	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
-	date_and_time_mod.o \
 	model_1d_mod.o \
 	module_interface.o \
@@ -585,4 +585,5 @@
 	netcdf_interface_mod.o \
 	ocean_mod.o \
+	palm_date_time_mod.o \
 	plant_canopy_model_mod.o \
 	pmc_handle_communicator_mod.o \
@@ -592,8 +593,8 @@
 indoor_model_mod.o: \
 	cpulog_mod.o \
-	date_and_time_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
+	mod_kinds.o \
+	modules.o \
+	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	surface_mod.o \
 	urban_surface_mod.o
@@ -621,4 +622,5 @@
 	random_generator_parallel_mod.o \
 	read_restart_data_mod.o \
+	palm_date_time_mod.o \
 	surface_layer_fluxes_mod.o \
 	surface_mod.o \
@@ -779,4 +781,5 @@
 	netcdf_data_input_mod.o \
 	ocean_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o \
 	salsa_mod.o \
@@ -810,5 +813,4 @@
 	chem_photolysis_mod.o \
 	cpulog_mod.o \
-	date_and_time_mod.o \
 	diagnostic_output_quantities_mod.o \
 	land_surface_model_mod.o \
@@ -825,8 +827,10 @@
 	time_to_string.o \
 	write_restart_data_mod.o
+palm_date_time_mod.o: \
+	mod_kinds.o \
+	modules.o
 parin.o: \
 	chem_modules.o \
 	cpulog_mod.o \
-	date_and_time_mod.o \
 	model_1d_mod.o \
 	mod_kinds.o \
@@ -952,8 +956,8 @@
 	bulk_cloud_model_mod.o \
 	calc_mean_profile.o \
-	date_and_time_mod.o \
 	mod_particle_attributes.o \
 	modules.o \
 	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	plant_canopy_model_mod.o \
 	surface_mod.o
@@ -970,5 +974,4 @@
 	chem_modules.o \
 	cpulog_mod.o \
-	date_and_time_mod.o \
 	diagnostic_output_quantities_mod.o \
 	mod_kinds.o \
@@ -977,4 +980,5 @@
 	modules.o \
 	netcdf_interface_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o \
 	random_function_mod.o\
@@ -998,4 +1002,5 @@
 	diffusion_s.o \
 	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	plant_canopy_model_mod.o \
 	surface_mod.o \
@@ -1086,4 +1091,5 @@
 	nesting_offl_mod.o \
 	ocean_mod.o \
+	palm_date_time_mod.o \
 	pmc_interface_mod.o \
 	prognostic_equations.o \
@@ -1105,8 +1111,8 @@
 	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
-	date_and_time_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
 	modules.o \
+	palm_date_time_mod.o \
 	pmc_interface_mod.o \
 	radiation_model_mod.o \
@@ -1152,8 +1158,8 @@
 urban_surface_mod.o: \
 	basic_constants_and_equations_mod.o \
-	date_and_time_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
+	mod_kinds.o \
+	modules.o \
+	netcdf_data_input_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o \
 	surface_mod.o
@@ -1253,5 +1259,4 @@
 	mod_kinds.o
 write_restart_data_mod.o: \
-	date_and_time_mod.o \
 	mod_kinds.o \
 	model_1d_mod.o \
@@ -1259,4 +1264,5 @@
 	modules.o \
 	netcdf_interface_mod.o \
+	palm_date_time_mod.o \
 	radiation_model_mod.o \
 	random_function_mod.o \
